Package org.apache.commons.math3.optimization.univariate

# Interface UnivariateOptimizer

All Superinterfaces:
  `BaseOptimizer<UnivariatePointValuePair>`, `BaseUnivariateOptimizer<UnivariateFunction>`

All Known Implementing Classes:
  `BaseAbstractUnivariateOptimizer`, `BrentOptimizer`

@Deprecated public interface UnivariateOptimizer extends BaseUnivariateOptimizer<UnivariateFunction>
Deprecated.
As of 3.1 (to be removed in 4.0).
Interface for univariate optimization algorithms.

Since:
  3.0

## Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`

### Methods inherited from interface org.apache.commons.math3.optimization.univariate.BaseUnivariateOptimizer

`optimize, optimize`